Bug 170280 - CVE-2005-3180 orinoco driver information leakage
Summary: CVE-2005-3180 orinoco driver information leakage
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Don Howard
QA Contact: Brian Brock
URL:
Whiteboard: public=20051004,impact=important,sour...
Keywords: Security
Depends On:
Blocks: 143573
TreeView+ depends on / blocked
 
Reported: 2005-10-10 14:47 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version: RHSA-2006-0191
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 17:56:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0191 normal SHIPPED_LIVE Important: kernel security update 2006-02-01 05:00:00 UTC

Description Mark J. Cox 2005-10-10 14:47:11 UTC
+++ This bug was initially created as a clone of Bug #170277 +++

The orinoco driver can send uninitialized data exposing random pieces of the
system memory.  This happens because data is not padded with zeroes when its
length needs to be increased.

For the 2.6 upstream fix see
http://linux.bkbits.net:8080/linux-2.6/cset@43434a71q9eUGtXKCTmWyYIPqFjEUQ

However Alan Cox said "skb_padto already does the if() so the extra if
(skb->len < len) just wastes resources"

Comment 4 Red Hat Bugzilla 2006-02-01 17:56:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0191.html


Comment 5 Red Hat Bugzilla 2006-02-01 17:56:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0191.html



Note You need to log in before you can comment on or make changes to this bug.